package cn.com.qmth.dp.examcloud.oe.modules.export_course_questions_diff_count;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.web.support.SpringContextHolder;

/**
 * 按科目导出小题各题型数.多线程处理
 * 
 * @author chenken
 *
 */
@Service
public class ExportCourseQuestionsDiffCountService {
	private String rootOrgId = "17351";
	private int threadCount=20;

	public void start() {
		Date s=new Date();
		ExportQuesDiffProducer pr = SpringContextHolder.getBean(ExportQuesDiffProducer.class);
		try {
			Map<String, Object> param=new HashMap<>();
			param.put("rootOrgId", rootOrgId);
			pr.startDispose(ExportQuesDiffConsumer.class, threadCount, param);
		} catch (Exception e) {
			throw new RuntimeException(e);

		}
		Date e=new Date();
		System.out.println("time:" + (e.getTime()-s.getTime()));
	}

}
